/*
 * @author lsy
 * @date   2019-09-04
 **/
import 'package:gmalpha_flutter/Annotations/anno/Get.dart';
import 'package:gmalpha_flutter/Annotations/anno/Post.dart';
import 'package:gmalpha_flutter/Annotations/anno/Query.dart';
import 'package:gmalpha_flutter/Annotations/anno/ServiceCenter.dart';
import 'package:gmalpha_flutter/commonModel/net/Responce/SimpleResponce.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/TestQuestionEntity.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/QuestionEntity.dart';

@ServiceCenter()
abstract class UserLoginApi {
  @Post("user/register")
  TestQuestionEntity resign(@Query("username") String name,
      @Query("password") String word, @Query("repassword") String repassword);

  @Get("user/info")
  QuestionEntity getUserInfo(@Query("token") String token);

  @Get("user/logout/json")
  SimpleResponce logout();
}
