/*
 * @author lsy
 * @date   2019-09-04
 **/
import 'package:gmalpha_flutter/commonModel/net/Responce/SimpleResponce.dart';
import 'package:gmalpha_flutter/userModel/service/remote/api/UserLoginApi.serv.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/TestQuestionEntity.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/QuestionEntity.dart';
import 'package:rxdart/rxdart.dart';

class QuestionRemote {
  static QuestionRemote _userRemote;

  QuestionRemote._() {}

  static QuestionRemote getInstance() {
    if (_userRemote == null) {
      _userRemote = new QuestionRemote._();
    }
    return _userRemote;
  }

  Observable<QuestionEntity> getUserInfo(String token) {
//    return UserLoginApiImpl().getUserInfo(token);
  }

  Observable<TestQuestionEntity> resignUser(
      String name, String word, String reWord) {
//    return UserLoginApiImpl().resign(name, word, reWord);
  }

  Observable<SimpleResponce> logout() {
    return UserLoginApiImpl().logout();
  }
}
